package cn.cecep.talroad.service;

import cn.cecep.talroad.vo.MapPointVo;

import java.util.List;
import java.util.Map;

public interface IMonitoringMapService {

    Map<String, Object> pullAccessControlPop(String factoryId, String accessControlCode);

    List<MapPointVo> pullPoints(String factoryId, String pointType);

    Map<String, Object> pullFbjdPop(String factoryId, String pointCode);

    Map<String, Object> pullWzzPop(String factoryId, String pointCode);

    Map<String, Object> pullOnlinePop(String factoryId, String pointCode);

    Map<String, Object> pullProducePop(String factoryId, String pointCode);

    Map<String, Object> pullCoalGasPop(String factoryId, String pointCode);

    List<MapPointVo> coalMapPoints(String name);
}
